io.swagger.client.model

## Class Stream

- java.lang.Object
- - io.swagger.client.model.Stream

-     public class Stream
      extends Object

  Stream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Long` | `getLength()` Get length
    `Long` | `getPosition()` Get position
    `Integer` | `getReadTimeout()` Get readTimeout
    `Integer` | `getWriteTimeout()` Get writeTimeout
    `int` | `hashCode()`
    `Boolean` | `isCanRead()` Get canRead
    `Boolean` | `isCanSeek()` Get canSeek
    `Boolean` | `isCanTimeout()` Get canTimeout
    `Boolean` | `isCanWrite()` Get canWrite
    `Stream` | `position(Long position)`
    `Stream` | `readTimeout(Integer readTimeout)`
    `void` | `setPosition(Long position)`
    `void` | `setReadTimeout(Integer readTimeout)`
    `void` | `setWriteTimeout(Integer writeTimeout)`
    `String` | `toString()`
    `Stream` | `writeTimeout(Integer writeTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream()

  - ### Method Detail

    - #### isCanRead

          public Boolean isCanRead()

      Get canRead
      Returns:
        canRead

    - #### isCanSeek

          public Boolean isCanSeek()

      Get canSeek
      Returns:
        canSeek

    - #### isCanTimeout

          public Boolean isCanTimeout()

      Get canTimeout
      Returns:
        canTimeout

    - #### isCanWrite

          public Boolean isCanWrite()

      Get canWrite
      Returns:
        canWrite

    - #### getLength

          public Long getLength()

      Get length
      Returns:
        length

    - #### position

          public Stream position(Long position)

    - #### getPosition

          public Long getPosition()

      Get position
      Returns:
        position

    - #### setPosition

          public void setPosition(Long position)

    - #### readTimeout

          public Stream readTimeout(Integer readTimeout)

    - #### getReadTimeout

          public Integer getReadTimeout()

      Get readTimeout
      Returns:
        readTimeout

    - #### setReadTimeout

          public void setReadTimeout(Integer readTimeout)

    - #### writeTimeout

          public Stream writeTimeout(Integer writeTimeout)

    - #### getWriteTimeout

          public Integer getWriteTimeout()

      Get writeTimeout
      Returns:
        writeTimeout

    - #### setWriteTimeout

          public void setWriteTimeout(Integer writeTimeout)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.